libzypp 17.37.10

downloadwf.cc File Reference
`#include "downloadwf.h"`
`#include <zypp/ng/workflows/logichelpers.h>`
`#include <utility>`
`#include <zypp/ng/Context>`
`#include <zypp/ng/workflows/contextfacade.h>`
`#include <zypp/ng/workflows/checksumwf.h>`
`#include <zypp-core/fs/PathInfo.h>`
`#include <zypp-core/zyppng/pipelines/Algorithm>`
`#include <zypp-media/ng/Provide>`
`#include <zypp-media/ng/ProvideSpec>`

Go to the source code of this file.

## Namespaces
namespace | zyppng
namespace | zyppng::DownloadWorkflow

## Functions
AsyncOpRef< expected< zypp::ManagedFile > > | zyppng::DownloadWorkflow::provideToCacheDir (AsyncCacheProviderContextRef cacheContext, ProvideMediaHandle medium, zypp::Pathname file, ProvideFileSpec filespec)
expected< zypp::ManagedFile > | zyppng::DownloadWorkflow::provideToCacheDir (SyncCacheProviderContextRef cacheContext, SyncMediaHandle medium, zypp::Pathname file, ProvideFileSpec filespec)